Get outgoing messages count grouped by entity
GET
Get the count of outgoing messages grouped by a specified entity (agent, team, inbox, or label). When grouped by agent, messages sent by bots (AgentBot, Captain::Assistant) are excluded.
Note: This API endpoint is available only in Chatwoot version 4.11.0 and above.
header
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
group_by*stringThe entity to group outgoing message counts by.
Value in
"agent""team""inbox""label"since?stringThe timestamp from where report should start (Unix timestamp).
until?stringThe timestamp from where report should stop (Unix timestamp).
Success
application/json- response
Outgoing messages count report grouped by entity (agent, team, inbox, or label).
[index: integer]?curl -X GET 'https://helpdesk.inclamo.com/api/v2/accounts/0/reports/outgoing_messages_count?group_by=agent'Example Response
[ { "id": 0, "name": "string", "outgoing_messages_count": 0 }]